Subject: bug#57742: QT plugins from profile not found (QT_PLUGIN_PATH)

From: Morgan Smith <[email-masked]>
Date: Sun, 11 Sep 2022 16:53:08 -0400

Hello!

Ever since commit 1f466ed6be932526fc69e72ffd50390691d0d382 we don't look
at the user's value of QT_PLUGIN_PATH.  The comment says this is to
prevent plugin confusion between Qt5 and Qt6 stuff.

This is very unfortunate for me.  I have qtwayland (qt5) installed in my
profile so QT programs can find the wayland plugin they need to display
themselves on wayland.  Unfortunately, they no longer can.

Maybe we could make our own Guix environment variables like
GUIX_QT5_QT_PLUGIN_PATH and GUIX_QT6_QT_PLUGIN_PATH and then add those
to the wrapper?  So like qtwayland would set GUIX_QT5_QT_PLUGIN_PATH and
then the wrapper in qt-utils.scm could read that?  Just an idea, I have
no clue what a good solution for this issue looks like.

Thanks,

Morgan